package appl.data;

import de.appl.util.RasterMetaData;
import de.schmitzm.geotools.data.WritableGrid;
import de.schmitzm.geotools.data.WritableGridArray;

/**
 * Simply loads an empty {@link WritableGridArray} with the specified meta data.
 * 
 * @author Dominik Appl
 */
public class WritableGridArrayLoader implements DataLoader {

	private RasterMetaData metaData;

	private WritableGridArrayLoader() {
	}

	/**
	 * @param metaData
	 *            the metadata with the exact dimensions/datatype
	 */
	public WritableGridArrayLoader(RasterMetaData metaData) {
		this.metaData = metaData;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see appl.data.DataLoader#load()
	 */
	public WritableGrid load() {
		return WritableGridArray.createEmpty(metaData);
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see appl.data.DataLoader#getLoadInfo()
	 */
	public String getLoadInfo() {
		return "WritableGridArrayLoader|" + metaData;
	}

}
