package appl.parallel.model;

import java.io.Serializable;

import appl.parallel.spmd.SPMDClientInterface;
import edu.bonn.xulu.model.StepModel;

/**
 * This class extends the functionality of a Xulu-StepModel. It provides
 * access to the {@link SPMDClientInterface} for parallel access. For implementation
 * it is recommended to subclass {@link AbstractParallelStepModel}.
 * 
 * @see AbstractParallelStepModel
 * 
 * @author Dominik Appl
 */
public interface ParallelStepModel extends StepModel, Serializable {

	/**
	 * @return the SPMD client controller which provides access to the parallelization control
	 */
	public SPMDClientInterface getSPMDController();

	/**
	 * Sets the SPMD Controller
	 * @param controller the controller to set
	 */
	public void setSPMDController(SPMDClientInterface controller);

}