/** XULU - This file is part of the eXtendable Unified Land Use Modelling Platform (XULU)

    This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option) any later version.
    This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.
    You should have received a copy of the GNU Lesser General Public License along with this library; if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110, USA

    Diese Bibliothek ist freie Software; Sie dürfen sie unter den Bedingungen der GNU Lesser General Public License, wie von der Free Software Foundation veröffentlicht, weiterverteilen und/oder modifizieren; entweder gemäß Version 2.1 der Lizenz oder (nach Ihrer Option) jeder späteren Version.
    Diese Bibliothek wird in der Hoffnung weiterverbreitet, daß sie nützlich sein wird, jedoch OHNE IRGENDEINE GARANTIE, auch ohne die implizierte Garantie der MARKTREIFE oder der VERWENDBARKEIT FÜR EINEN BESTIMMTEN ZWECK. Mehr Details finden Sie in der GNU Lesser General Public License.
    Sie sollten eine Kopie der GNU Lesser General Public License zusammen mit dieser Bibliothek erhalten haben; falls nicht, schreiben Sie an die Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110, USA.
 **/

package edu.bonn.xulu.gui;

import java.awt.Frame;
import java.io.File;

import de.schmitzm.swing.ResourceProviderManagerFrame;
import edu.bonn.xulu.XuluModellingPlatform;
import edu.bonn.xulu.appl.XuluComponent;
import edu.bonn.xulu.appl.XuluConstants;


/**
 * Diese Klasse stellt einen Dialog zum Verwalten der Xulu-Spachpakete dar.
 * @author <a href="mailto:martin.schmitz@koeln.de">Martin Schmitz</a> (University of Bonn/Germany)
 * @version 1.0
 */
public class XuluLanguageManagerFrame extends ResourceProviderManagerFrame implements XuluComponent {
  private boolean disposed     = false;

  /**
   * Erzeugt einen neuen Dialog.
   * @param parent aufrufendes Fenster
   * @param modal  Flag, ob des Fenster model ist
   */
  public XuluLanguageManagerFrame(Frame parent, boolean modal, XuluModellingPlatform appl) {
    super(parent,modal,XULUGUI_RES.getString("LangFrame.InfoText",XuluConstants.RESOURCE_DIR+"/"+XuluConstants.LOCALES_BASE));
    setRootPath( new File(appl.getStartingDirectory(),XuluConstants.RESOURCE_DIR) );
  }

  /**
   * Zerstoert das Fenster. Ruft <code>super.dispose()</code> auf.
   */
  @Override
  public void dispose() {
    disposed = true;
    super.dispose();
  }

  /**
   * Prueft, ob das Fenster zerstoert ist.
   */
  @Override
  public boolean isDisposed() {
    return disposed;
  }
}
